<?php

namespace Modules\Lpj\Http\Controllers;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Modules\Lpj\Services\LaporanMonitoringSoService;

class LaporanMonitoringSoController extends Controller
{

    private $laporanMonitoringSoService;

    public function __construct(LaporanMonitoringSoService $laporanMonitoringSoService)
    {
        $this->laporanMonitoringSoService = $laporanMonitoringSoService;
    }

    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        $user = auth()->user()->load('roles');
        $result = $this->laporanMonitoringSoService->progresPengerjaanLaporan($user);
        return view('lpj::laporan-monitoring.index', compact('result'));
    }

    /**
     * Show details data.
     * @return Response
     */

    public function show($id){
        return view('lpj::laporan-monitoring.show', compact('id'));
    }


    public function dataForDatatablePenilai(Request $request, $id){
        return $this->laporanMonitoringSoService->showDetailsPermohonan($request, $id);
    }

}
